Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 514801 - Copy resolv.conf from dracut netboot
Summary: Copy resolv.conf from dracut netboot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: THINCLIENT
TreeView+ depends on / blocked
 
Reported: 2009-07-30 20:01 UTC by Warren Togami
Modified: 2014-03-17 03:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-31 00:50:22 UTC


Attachments (Terms of Use)

Description Warren Togami 2009-07-30 20:01:38 UTC
--- rc.sysinit.orig	2009-07-30 14:48:54.545395611 -0400
+++ rc.sysinit	2009-07-30 14:59:47.630395753 -0400
@@ -485,6 +485,9 @@
 		done
 	done
 
+        # Use resolv.conf passed by initramfs netboot
+        [ -f /dev/.initramfs/resolv.conf ] && cp /dev/.initramfs/resolv.conf /etc/
+
 	# In theory there should be no more than one network interface active
 	# this early in the boot process -- the one we're booting from.
 	# Use the network address to set the hostname of the client.  This

This patch copies resolv.conf from dracut netboot if it exists, allowing the following hostname setting to work.

Comment 1 Warren Togami 2009-07-30 20:02:34 UTC
Line wrapping munged the above, but it should be obvious what to do.


Note You need to log in before you can comment on or make changes to this bug.